// SPDX-License-Identifier: Apache-2.0
import { Command } from "../../../../../../core/command/Command";
export class BurnCommandResponse {
    payload;
    transactionId;
    constructor(payload, transactionId) {
        this.payload = payload;
        this.transactionId = transactionId;
    }
}
export class BurnCommand extends Command {
    sourceId;
    amount;
    securityId;
    constructor(sourceId, amount, securityId) {
        super();
        this.sourceId = sourceId;
        this.amount = amount;
        this.securityId = securityId;
    }
}
